---
title: RTCPeerConnection.onconnectionstatechange
slug: Web/API/RTCPeerConnection/onconnectionstatechange
tags:
  - API
  - Connection State
  - Event Handler
  - ICE
  - Property
  - RTCPeerConnection
  - Reference
  - WebRTC
  - onconnectionstatechange
---
<p>{{APIRef("WebRTC")}}</p>

<p><span class="seoSummary">The <strong><code>RTCPeerConnection.onconnectionstatechange</code></strong> property specifies an {{domxref("EventHandler")}} which is called to handle the {{event("connectionstatechange")}} event when it occurs on an instance of {{domxref("RTCPeerConnection")}}. This happens whenever the aggregate state of the connection changes.</span> The aggregate state is a combination of the states of all of the individual network transports being used by the connection.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>RTCPeerConnection</em>.onconnectionstatechange = <em>eventHandler</em>;
</pre>

<h3 id="Value">Value</h3>

<p>A function which is called by the browser when the {{event("connectionstatechange")}} event occurs on the {{domxref("RTCPeerConnection")}}. The function receives as input a single parameter, which is an object of type {{domxref("Event")}}. The event object contains no special information of note; you can look at the value of the peer connection's {{domxref("RTCPeerConnection.connectionState", "connectionState")}} property to determine what the new state is.</p>

<h2 id="Example">Example</h2>

<pre class="brush: js">pc.onconnectionstatechange = function(event) {
  switch(pc.connectionState) {
    case "connected":
      // The connection has become fully connected
      break;
    case "disconnected":
    case "failed":
      // One or more transports has terminated unexpectedly or in an error
      break;
    case "closed":
      // The connection has been closed
      break;
  }
}</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('WebRTC 1.0', '#dom-rtcpeerconnection-onconnectionstatechange', 'RTCPeerConnection.onconnectionstatechange') }}</td>
   <td>{{ Spec2('WebRTC 1.0') }}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCPeerConnection.onconnectionstatechange")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>The {{event("connectionstatechange")}} event and its type, {{domxref("Event")}}.</li>
</ul>
